=====
Pykka
=====

Pykka is a Python implementation of the `actor model
<https://en.wikipedia.org/wiki/Actor_model>`_. The actor model introduces some
simple rules to control the sharing of state and cooperation between execution
units, which makes it easier to build concurrent applications.

For details and code examples, see the `Pykka documentation
<https://www.pykka.org/>`_.

Pykka is available from PyPI. To install it, run::

    pip install pykka

Pykka works with CPython 2.7 and 3.5+, as well as PyPy 2.7 and 3.5+.


.. toctree::
    :maxdepth: 2
    :caption: Usage

    quickstart
    examples
    api/index
    runtimes/index
    testing


.. toctree::
    :maxdepth: 2
    :caption: About

    changes
    inspiration
    authors
